/*
 *  _____ _______         _                      _
 * |_   _|__   __|       | |                    | |
 *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
 *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
 *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
 * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 *   PROGRAMOVÁNÍ  <>  DESIGN  <>  PRÁCE/PODNIKÁNÍ  <>  HW A SW
 *
 * Tento zdrojový kód pochází z IT sociální síte WWW.ITNETWORK.CZ
 *
 * Mužete ho upravovat a používat jak chcete, musíte však zmínit
 * odkaz na http://www.itnetwork.cz
 */


SELECT jmeno, prijmeni FROM uzivatele ORDER BY prijmeni;

SELECT jmeno, prijmeni, pocet_clanku FROM uzivatele ORDER BY pocet_clanku, prijmeni;

SELECT jmeno, prijmeni, pocet_clanku FROM uzivatele ORDER BY pocet_clanku DESC, prijmeni;

SELECT jmeno, prijmeni, pocet_clanku FROM uzivatele ORDER BY pocet_clanku DESC, prijmeni 
FETCH FIRST 10 ROWS ONLY;

SELECT COUNT(*) FROM uzivatele WHERE pocet_clanku > 0;

SELECT AVG(pocet_clanku) FROM uzivatele;

SELECT SUM(pocet_clanku) FROM uzivatele WHERE datum_narozeni > '1.1.1980';

SELECT MIN(datum_narozeni) FROM uzivatele;

-- Tento kod nebude fungovat
SELECT jmeno, prijmeni, MIN(datum_narozeni) FROM uzivatele;

SELECT jmeno, prijmeni, datum_narozeni FROM uzivatele ORDER BY datum_narozeni FETCH FIRST ROW ONLY;

SELECT MAX(pocet_clanku) FROM uzivatele;

SELECT jmeno FROM uzivatele GROUP BY jmeno ORDER BY jmeno;

SELECT jmeno, COUNT(*) FROM uzivatele GROUP BY jmeno ORDER BY jmeno;

SELECT jmeno, COUNT(*) AS pocet FROM uzivatele GROUP BY jmeno;